## org.eclipse.uml2.common.util
Class SubsetEObjectContainmentWithInverseEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<E>
                  org.eclipse.emf.common.notify.impl.NotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.NotifyingInternalEListImpl<E>
                          org.eclipse.emf.ecore.util.EcoreEList<E>
                              org.eclipse.emf.ecore.util.EObjectEList<E>
                                  org.eclipse.uml2.common.util.SubsetEObjectEList<E>
                                      org.eclipse.uml2.common.util.SubsetEObjectContainmentEList<E>
                                          org.eclipse.uml2.common.util.SubsetEObjectContainmentWithInverseEList<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, org.eclipse.emf.common.notify.NotifyingList<E>, org.eclipse.emf.common.util.EList<E>, org.eclipse.emf.ecore.EStructuralFeature.Setting, org.eclipse.emf.ecore.util.InternalEList<E>, org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>

Direct Known Subclasses:
  SubsetEObjectContainmentWithInverseEList.Resolving, SubsetEObjectContainmentWithInverseEList.Unsettable

Deprecated.

    @Deprecated
    public class SubsetEObjectContainmentWithInverseEList<E>

extends SubsetEObjectContainmentEList<E>

See Also:
  Serialized Form

Nested Class Summary
`static class` `SubsetEObjectContainmentWithInverseEList.Resolving<E>` Deprecated.
`static class` `SubsetEObjectContainmentWithInverseEList.Unsettable<E>` Deprecated.

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EcoreEList
`org.eclipse.emf.ecore.util.EcoreEList.Dynamic<E>, org.eclipse.emf.ecore.util.EcoreEList.Generic<E>, org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`org.eclipse.emf.common.util.BasicEList.BasicIndexOutOfBoundsException, org.eclipse.emf.common.util.BasicEList.EIterator<E1>, org.eclipse.emf.common.util.BasicEList.EListIterator<E1>, org.eclipse.emf.common.util.BasicEList.FastCompare<E>, org.eclipse.emf.common.util.BasicEList.NonResolvingEIterator<E1>, org.eclipse.emf.common.util.BasicEList.NonResolvingEListIterator<E1>`

Field Summary
`protected int` `inverseFeatureID` Deprecated.

Fields inherited from class org.eclipse.uml2.common.util.SubsetEObjectEList
`supersetFeatureIDs`

Fields inherited from class org.eclipse.emf.ecore.util.EObjectEList
`featureID`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreEList
`dataClass, owner`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SubsetEObjectContainmentWithInverseEList(java.lang.Class<?> dataClass, org.eclipse.emf.ecore.InternalEObject owner, int featureID, int[] supersetFeatureIDs, int inverseFeatureID)` Deprecated.
`SubsetEObjectContainmentWithInverseEList(java.lang.Class<?> dataClass, org.eclipse.emf.ecore.InternalEObject owner, int featureID, int supersetFeatureID, int inverseFeatureID)` Deprecated.

Method Summary
`java.lang.Class<?>` `getInverseFeatureClass()` Deprecated.
`int` `getInverseFeatureID()` Deprecated.
`protected boolean` `hasNavigableInverse()` Deprecated.

Methods inherited from class org.eclipse.uml2.common.util.SubsetEObjectContainmentEList
`addAll, addAll, hasInverse, isContainment`

Methods inherited from class org.eclipse.uml2.common.util.SubsetEObjectEList
`add, add, basicAdd, basicSet, set, supersetAdd`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectEList
`canContainNull, getFeatureID, isEObject, isUnique, resolve, useEquals`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreEList
`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getEStructuralFeature, getFeature, getFeatureType, getInverseEReference, getNotifier, hasInstanceClass, hasManyInverse, hasProxies, indexOf, inverseAdd, inverseRemove, isInstance, isNotificationRequired, isSet, lastIndexOf, newData, resolve, resolve, resolveProxy, set, toArray, toArray, unset, validate`

Methods inherited from class org.eclipse.emf.ecore.util.NotifyingInternalEListImpl
`basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifyingListImpl
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicRemove, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`assign, basicGet, clone, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, isEmpty, iterator, listIterator, listIterator, move, remove, retainAll, setData, shrink, size, toString`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, size, subList`

Field Detail

### inverseFeatureID

    protected final int inverseFeatureID

  Deprecated.

Constructor Detail

### SubsetEObjectContainmentWithInverseEList

    public SubsetEObjectContainmentWithInverseEList(java.lang.Class<?> dataClass,
                                                    org.eclipse.emf.ecore.InternalEObject owner,
                                                    int featureID,
                                                    int[] supersetFeatureIDs,
                                                    int inverseFeatureID)

  Deprecated.

### SubsetEObjectContainmentWithInverseEList

    public SubsetEObjectContainmentWithInverseEList(java.lang.Class<?> dataClass,
                                                    org.eclipse.emf.ecore.InternalEObject owner,
                                                    int featureID,
                                                    int supersetFeatureID,
                                                    int inverseFeatureID)

  Deprecated.

Method Detail

### hasNavigableInverse

    protected boolean hasNavigableInverse()

  Deprecated.
  Overrides:
    `hasNavigableInverse` in class `SubsetEObjectContainmentEList<E>`

### getInverseFeatureID

    public int getInverseFeatureID()

  Deprecated.
  Overrides:
    `getInverseFeatureID` in class `org.eclipse.emf.ecore.util.EcoreEList<E>`

### getInverseFeatureClass

    public java.lang.Class<?> getInverseFeatureClass()

  Deprecated.
  Overrides:
    `getInverseFeatureClass` in class `org.eclipse.emf.ecore.util.EcoreEList<E>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.